--- title: "Create/Update Syslog Configuration" slug: "create-update-syslog-configuration-4" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:33Z published: 2026-11-19T12:57:33Z canonical: "docs.trellix.com/create-update-syslog-configuration-4" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Create/Update Syslog Configuration This URL creates/updates the syslog configuration for firewall notification. ### Resource URL GET /domain//notification/firewall/syslog ### Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `domain_id` | Domain id | Int | Yes | Payload Parameter: SyslogNotification Details of SyslogNotification: | Field Name | Description | Data Type | | --- | --- | --- | | `enableSyslog` | Enable syslog notification | Boolean | | `parentAndChildDomain` | Parent and child domain | Boolean | | `serverIp` | Server IP address | String | | `serverPort` | Server port | Number | | `facilities` | Facilities | String | | `severity` | Severity | String | | `Message` | Message | String | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the operation was successful | Number | ### Example **Request** GET [https:///sdkapi/domain/0/ notification/firewall/syslog](https://<NSM_IP>/sdkapi/domain/0/%20notification/firewall/syslog) **Request Payload** ``` {   "enableSyslog": true,   "parentAndChildDomain": true,   "serverIp": "1.1.1.2",   "serverPort": 515,   "facilities": "CLOCK_DAEMON_NOTE_2",   "severity”: "EMERGENCY_SYSTEM_UNUSABLE",   "message": "$IV_ACK_INFORMATION$ $IV_ADMIN_DOMAIN$ $IV_DESCRIPTION$" } ``` **Response** ``` { "status": 1 } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain | | 2 | 400 | 1725 | Invalid facilities | | 3 | 400 | 1726 | Invalid severity mapping |